(*****************************************************************************)
(*                                                                           *)
(* Unit     : PolyText                                                       *)
(* Autor    : Axel Luft (c)                                                  *)
(* Date     : 11/2000                                                        *)
(* Version  : 1.0                                                            *)
(*                                                                           *)
(* 1.0:                                                                      *)
(*            Initial version                                                *)
(*****************************************************************************)

unit PolyText;

interface

Uses    Classes, SysUtils, Graphics, Windows, WinTypes, B_Spline, Math;

Const   Poly_OutOfMemInt      = -1;
        Poly_NoValidCanvasInt = -2;

Type    TAlignVer    = (taVTopJustify, taVBottomJustify, taVCenter);

Type    TPolyTextTyp = Class(TObject)    (* line *)
        Public
         Constructor Create;
         Destructor  Destroy; Override;
         Procedure   Free;
         Procedure   DrawText;
         Procedure   UserDefined(PolyPointsCnt : Integer;
                                 Var PolyPoints : Array Of TPoint); Virtual;
         Procedure   CreateCanvasOnlyForDLLUsage(Handle : HDC);
         Property    Align_Hor : TAlignment;
         Property    Align_Ver : TAlignVer;
         Property    AutoStretch : Boolean;
         Property    CalcLinePoints : Boolean;
         Property    Degree : Real;
         Property    Frame : TRect;
         Property    IntErr : Integer;
         Property    PolyTextWidth : Integer;
         Property    PE_Ver_Mirr : Boolean;
         Property    PE_Hor_Mirr : Boolean;
         Property    PE_Rotate : Boolean;
         Property    PE_UserDefined : Boolean;
         Property    Text : String;
         Property    TextCanvas : TCanvas;
         Property    Stretch_Hor : Real;
         Property    Stretch_Ver : Real;
        Published
        End;

